Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Update from CSA 5.1.0.69 to HotFix 5.1.0.108

I had to apply CSAMC HotFix 5.1.0.108 but it did not reapply the policies that I previously had. How do I upgrade and retain/reuse my old policies? Is there a file that I can save and re-install once the update is done?

4 REPLIES
Blue

Re: Update from CSA 5.1.0.69 to HotFix 5.1.0.108

All your old policies and exceptions should still be there.

You'll need to manually copy any custom rules from your old policies.

You may want to consider leaving the new policies untouched and creating an exceptions policy and put your custom rules there.

Makes it so you can associate the custom policy with the new groups whenever you apply a hotfix.

It also lets a hotfix replace most of the unchanged canned policies rather than add them.

Makes for less work after an upgrade.

Tom

New Member

Re: Update from CSA 5.1.0.69 to HotFix 5.1.0.108

Upgrade CSA v5.1.0.69 to v5.1.0.108 now get error when I generate rules:

An error occurred while processing this request. Please make sure the URL you are trying to access is correct. If the problem persists, contact Cisco Systems technical support:

The log entry:

[2008-02-07 09:02:47.093] [PID=9796] [webadmin]: LoadPage: Error processing htl_page 'deploy'. err=wrong # args: should be "error message ?errorInfo? ?errorCode?"

while executing

"error "

(procedure "helper_prepare_rules" line 51)

invoked from within

"helper_prepare_rules"

invoked from within

"if {[cgi_get op] == "deploy" && [error_ok] && $is_poll_freq_ok && $is_st_upl_freq_ok} {

# Verify that the user is authorized to generate configur..."

("uplevel" body line 484)

invoked from within

"uplevel 1 $script"

(procedure "htl_exec_i" line 4)

invoked from within

"htl_exec_

[2008-02-07 09:02:47.093] [PID=9796] [webadmin]: Admin Req 'deploy' Failure(1), ip=xxx.xxx.xxx.xx

I think the upgrade went badly, try the upgrade again, won't let me do it because that version is already installed, even though it was a bad install.

Any suggestions on how to fix?

Blue

Re: Update from CSA 5.1.0.69 to HotFix 5.1.0.108

Hello Andrew

Have you tried generating rules with a different management account?

You could try an uninstall\reinstall if that doesn't work. Make sure you make a good backup as well as exporting everything before doing it. I'm guessing you didn't backup before the upgrade.

I usually make an image of the system drive with drive imaging software before an upgrade. It's quick and dirty and has saved me several times.

Sorry, best I can come up with without being there.

Tom

New Member

Re: Update from CSA 5.1.0.69 to HotFix 5.1.0.108

Hi,

did you get any help? I have exactly the same behavior here. We rolled back our vmware snapshot. Do you have a remote database?

I guess that on the db server is not enough disk space left for the upgrade. On remote db's the backup and disk space check won't be done from the hotfix setup.

Regards, Martin

157
Views
5
Helpful
4
Replies
CreatePlease login to create content